[**@rxap/data-source**](../README.md)

***

[@rxap/data-source](../globals.md) / pipeDataSource

# Function: pipeDataSource()

> **pipeDataSource**\<`Source`, `Target`\>(`dataSource`, `operation`, ...`operations`): [`PipeDataSource`](../classes/PipeDataSource.md)\<`Source`, `Target`\>

Defined in: [packages/angular/data-source/src/lib/pipe.data-source.ts:146](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/data-source/src/lib/pipe.data-source.ts#L146)

## Type Parameters

• **Source**

• **Target**

## Parameters

### dataSource

[`BaseDataSource`](../classes/BaseDataSource.md)\<`Source`\>

### operation

`OperatorFunction`\<`Source`, `any`\>

### operations

...([`PipeDataSourceMetadata`](../interfaces/PipeDataSourceMetadata.md) \| `OperatorFunction`\<`any`, `any`\>)[]

## Returns

[`PipeDataSource`](../classes/PipeDataSource.md)\<`Source`, `Target`\>
